com.ihr.xbrl.mapper

## Enum MapVersion

- java.lang.Object
- - java.lang.Enum<MapVersion>
  - - com.ihr.xbrl.mapper.MapVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MapVersion>

      public enum MapVersion
      extends java.lang.Enum<MapVersion>

  There is one value per version of the mapper configuration files.
  Author:
    Ignacio

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `V2009` This is version 2 or v2.
    `V2011` This is version 3 or v3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MapVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MapVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### V2009

          public static final MapVersion V2009

      This is version 2 or v2. Schema namespace is from year 2009, this version does not allows for sections

    - #### V2011

          public static final MapVersion V2011

      This is version 3 or v3. Schema namespace is from year 2011, this version does allows for sections

  - ### Method Detail

    - #### values

          public static MapVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MapVersion c : MapVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MapVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null